Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.servlets
Class DigestAuthenticator

    java.lang.Object
      org.exist.http.servlets.DigestAuthenticator

All Implemented Interfaces:
  Authenticator

public class DigestAuthenticator
extends java.lang.Object
implements Authenticator

An Authenticator that uses MD5 Digest Authentication.

Author:
  wolf

Constructor Summary
`DigestAuthenticator(BrokerPool pool)`

Method Summary
`User` | `authenticate(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Try to authenticate the user specified in the HTTP request.
`void` | `sendChallenge(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Send an WWW-Authenticate header back to client.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigestAuthenticator

    public DigestAuthenticator(BrokerPool pool)

Method Detail

### authenticate

    public User authenticate(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws java.io.IOException

  Description copied from interface: `Authenticator`
  Try to authenticate the user specified in the HTTP request.

  Specified by:
    `authenticate` in interface `Authenticator`
  Parameters:
    `request` -
    `response` -
  Returns:
    The authenticated user or null if the user isn't autenticated
  Throws:
    `java.io.IOException`

### sendChallenge

    public void sendChallenge(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException

  Description copied from interface: `Authenticator`
  Send an WWW-Authenticate header back to client.

  Specified by:
    `sendChallenge` in interface `Authenticator`
  Parameters:
    `request` -
    `response` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.